# -*- rpm-spec -*-
# $Id: tcl-trf,v 1.11 2004/11/03 10:33:34 me Exp $

%define snapshot 20040218
%define teaname trf
%define uver p2

Name: tcl-%teaname
Version: 2.1
Release: alt5

Summary: A tcl extension called Tcl Data transformations
License: BSD
Group: Development/Tcl
Url: http://tcltrf.sourceforge.net/

%ifdef snapshot
Source: %name-%snapshot.tar.bz2
%else
Source: http://download.sourceforge.net/%teaname/%teaname%version%uver.tar.bz2
%endif

Patch0: %teaname-2.1p2-alt-sharedcompr.patch
Patch1: %teaname-2.1p2-alt-sharedcrypt.patch
Patch2: %teaname-2.1p2-alt-tea3.patch

Requires: tcl >= 8.4.0-alt1
BuildRequires: autoconf_2.13 bzlib-devel zlib-devel libssl-devel tcl-devel >= 8.4.0-alt1 tcl-memchan

%package devel
Summary: Header files and C programming manual for Trf
Group: Development/C
Requires: %name = %version-%release

%description
%name is a collection of data transformation:
- generation of message digests (hash values, checksums)
  MD2, MD5, SHA/SHS, SHA-1, HAVAL, RIPEMD-128, -160,
  CRC (polynomial used by PGP),  ADLER (based upon zlib)
- conversion from and to various data encodings:
  dual, octal, hexadecimal representation, uuencoding,
  base64-encoding, ASCII85-encoding
- a reed-solomon error correcting coder
- (de)compression based on zlib and bzlib

%description devel
%name is a collection of data transformation:
- generation of message digests (hash values, checksums)
  MD2, MD5, SHA/SHS, SHA-1, HAVAL, RIPEMD-128, -160,
  CRC (polynomial used by PGP),  ADLER (based upon zlib)
- conversion from and to various data encodings:
  dual, octal, hexadecimal representation, uuencoding,
  base64-encoding, ASCII85-encoding
- a reed-solomon error correcting coder
- (de)compression based on zlib and bzlib

This package includes header files for Trf.

%prep
%setup -q %{?snapshot:-c}%{!?snapshot:-n %teaname%version%uver}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%set_autoconf_version 2.13
%__autoconf
%configure \
	--enable-shared-zlib \
	--enable-shared-bzlib
%__make all test

%install
%makeinstall

%files
%doc ChangeLog README doc/license.terms
%_tcllibdir/libTrf%version.so
%_tcldatadir/Trf%version

%files devel
%_includedir/*
%_tcllibdir/libTrfstub2.1.a

%changelog
* Wed Nov  3 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.1-alt5
- rebuilt against new shiny reqprov finder

* Sat May 15 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.1-alt4
- updated from CVS @ 200402018
- dynamically linked with zlib, bzlib, libcrypt instead of dlopen()

* Sat Mar  8 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 2.1-alt3
- bzlib bindings fixed

* Wed Sep 25 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.1-alt2
- rebuilt in new env

* Tue Aug  6 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.1-alt1
- first build for %distribution


